## texlive-bin 2024.20240313.70630%2Bds

=== libs/luajit/LuaJIT-src/src/Makefile ===
##############################################################################
# LuaJIT Makefile. Requires GNU Make.
#
# Please read doc/install.html before changing any variables!
#
# Suitable for POSIX platforms (Linux, *BSD, OSX etc.).
# Also works with MinGW and Cygwin on Windows.
# Please check msvcbuild.bat for building with MSVC on Windows.
#
# Copyright (C) 2005-2017 Mike Pall. See Copyright Notice in luajit.h
##############################################################################

MAJVER=  2
MINVER=  1
RELVER=  0
ABIVER=  5.1
NODOTABIVER= 51

##############################################################################
#############################  COMPILER OPTIONS  #############################
##############################################################################
# These options mainly affect the speed of the JIT compiler itself, not the
# speed of the JIT-compiled code. Turn any of the optional settings on by
# removing the '#' in front of them. Make sure you force a full recompile
# with "make clean", followed by "make" if you change any options.
#
DEFAULT_CC = gcc
#
# LuaJIT builds as a native 32 or 64 bit binary by default.
CC= $(DEFAULT_CC)
#
# Use this if you want to force a 32 bit build on a 64 bit multilib OS.
#CC= $(DEFAULT_CC) -m32
#
# Since the assembler part does NOT maintain a frame pointer, it's pointless
# to slow down the C part by not omitting it. Debugging, tracebacks and
# unwinding are not affected -- the assembler part has frame unwind
# information and GCC emits it where needed (x64) or with -g (see CCDEBUG).
CCOPT= -O2 -fomit-frame-pointer
# Use this if you want to generate a smaller binary (but it's slower):
#CCOPT= -Os -fomit-frame-pointer
# Note: it's no longer recommended to use -O3 with GCC 4.x.
# The I-Cache bloat usually outweighs the benefits from aggressive inlining.
#
# Target-specific compiler options:
#
# x86/x64 only: For GCC 4.2 or higher and if you don't intend to distribute
# the binaries to a different machine you could also use: -march=native
#
CCOPT_x86= -march=i686 -msse -msse2 -mfpmath=sse
CCOPT_x64=
CCOPT_arm=
CCOPT_arm64=
CCOPT_ppc=
CCOPT_mips=
#
CCDEBUG=
# Uncomment the next line to generate debug information:
#CCDEBUG= -g
#
CCWARN= -Wall
# Uncomment the next line to enable more warnings:
#CCWARN+= -Wextra -Wdeclaration-after-statement -Wredundant-decls -Wshadow -Wpointer-arith
#
##############################################################################

##############################################################################
################################  BUILD MODE  ################################
##############################################################################
# The default build mode is mixed mode on POSIX. On Windows this is the same
# as dynamic mode.
#
# Mixed mode creates a static + dynamic library and a statically linked luajit.
BUILDMODE= mixed
#
# Static mode creates a static library and a statically linked luajit.
#BUILDMODE= static
#
# Dynamic mode creates a dynamic library and a dynamically linked luajit.
# Note: this executable will only run when the library is installed!
#BUILDMODE= dynamic
#
##############################################################################

##############################################################################
#################################  FEATURES  #################################
##############################################################################
# Enable/disable these features as needed, but make sure you force a full
# recompile with "make clean", followed by "make".
XCFLAGS=
#
# Permanently disable the FFI extension to reduce the size of the LuaJIT
# executable. But please consider that the FFI library is compiled-in,
# but NOT loaded by default. It only allocates any memory, if you actually
# make use of it.
#XCFLAGS+= -DLUAJIT_DISABLE_FFI
#
# Features from Lua 5.2 that are unlikely to break existing code are
# enabled by default. Some other features that *might* break some existing
# code (e.g. __pairs or os.execute() return values) can be enabled here.
# Note: this does not provide full compatibility with Lua 5.2 at this time.
XCFLAGS+= -DLUAJIT_ENABLE_LUA52COMPAT
#
# Disable the JIT compiler, i.e. turn LuaJIT into a pure interpreter.
#XCFLAGS+= -DLUAJIT_DISABLE_JIT
#
# Some architectures (e.g. PPC) can use either single-number (1) or
# dual-number (2) mode. Uncomment one of these lines to override the
# default mode. Please see LJ_ARCH_NUMMODE in lj_arch.h for details.
#XCFLAGS+= -DLUAJIT_NUMMODE=1
#XCFLAGS+= -DLUAJIT_NUMMODE=2
#
# Enable GC64 mode for x64.
#XCFLAGS+= -DLUAJIT_ENABLE_GC64
#
##############################################################################

##############################################################################
############################  DEBUGGING SUPPORT  #############################
##############################################################################
# Enable these options as needed, but make sure you force a full recompile
# with "make clean", followed by "make".
# Note that most of these are NOT suitable for benchmarking or release mode!
#
# Use the system provided memory allocator (realloc) instead of the
# bundled memory allocator. This is slower, but sometimes helpful for
# debugging. This option cannot be enabled on x64 without GC64, since
# realloc usually doesn't return addresses in the right address range.
# OTOH this option is mandatory for Valgrind's memcheck tool on x64 and
# the only way to get useful results from it for all other architectures.
#XCFLAGS+= -DLUAJIT_USE_SYSMALLOC
#
# This define is required to run LuaJIT under Valgrind. The Valgrind
# header files must be installed. You should enable debug information, too.
# Use --suppressions=lj.supp to avoid some false positives.
#XCFLAGS+= -DLUAJIT_USE_VALGRIND
#
# This is the client for the GDB JIT API. GDB 7.0 or higher is required
# to make use of it. See lj_gdbjit.c for details. Enabling this causes
# a non-negligible overhead, even when not running under GDB.
#XCFLAGS+= -DLUAJIT_USE_GDBJIT
#
# Turn on assertions for the Lua/C API to debug problems with lua_* calls.
# This is rather slow -- use only while developing C libraries/embeddings.
#XCFLAGS+= -DLUA_USE_APICHECK
#
# Turn on assertions for the whole LuaJIT VM. This significantly slows down
# everything. Use only if you suspect a problem with LuaJIT itself.
#XCFLAGS+= -DLUA_USE_ASSERT
#
##############################################################################
# You probably don't need to change anything below this line!
##############################################################################

##############################################################################
# Host system detection.
##############################################################################

ifeq (Windows,$(findstring Windows,$(OS))$(MSYSTEM)$(TERM))
  HOST_SYS= Windows
  HOST_RM= del
else
  HOST_SYS:= $(shell uname -s)
  ifneq (,$(findstring MINGW,$(HOST_SYS)))
    HOST_SYS= Windows
    HOST_MSYS= mingw
  endif
  ifneq (,$(findstring CYGWIN,$(HOST_SYS)))
    HOST_SYS= Windows
    HOST_MSYS= cygwin
  endif
endif

##############################################################################
# Flags and options for host and target.
##############################################################################

# You can override the following variables at the make command line:
#   CC       HOST_CC       STATIC_CC       DYNAMIC_CC
#   CFLAGS   HOST_CFLAGS   TARGET_CFLAGS
#   LDFLAGS  HOST_LDFLAGS  TARGET_LDFLAGS  TARGET_SHLDFLAGS
#   LIBS     HOST_LIBS     TARGET_LIBS
#   CROSS    HOST_SYS      TARGET_SYS      TARGET_FLAGS
#
# Cross-compilation examples:
#   make HOST_CC="gcc -m32" CROSS=i586-mingw32msvc- TARGET_SYS=Windows
#   make HOST_CC="gcc -m32" CROSS=powerpc-linux-gnu-

ASOPTIONS= $(CCOPT) $(CCWARN) $(XCFLAGS) $(CFLAGS)
CCOPTIONS= $(CCDEBUG) $(ASOPTIONS)
LDOPTIONS= $(CCDEBUG) $(LDFLAGS)

HOST_CC= $(CC)
HOST_RM= rm -f
# If left blank, minilua is built and used. You can supply an installed
# copy of (plain) Lua 5.1 or 5.2, plus Lua BitOp. E.g. with: HOST_LUA=lua
HOST_LUA=

HOST_XCFLAGS= -I.
HOST_XLDFLAGS=
HOST_XLIBS=
HOST_ACFLAGS= $(CCOPTIONS) $(HOST_XCFLAGS) $(TARGET_ARCH) $(HOST_CFLAGS)
HOST_ALDFLAGS= $(LDOPTIONS) $(HOST_XLDFLAGS) $(HOST_LDFLAGS)
HOST_ALIBS= $(HOST_XLIBS) $(LIBS) $(HOST_LIBS)

STATIC_CC = $(CROSS)$(CC)
DYNAMIC_CC = $(CROSS)$(CC) -fPIC
TARGET_CC= $(STATIC_CC)
TARGET_STCC= $(STATIC_CC)
TARGET_DYNCC= $(DYNAMIC_CC)
TARGET_LD= $(CROSS)$(CC)
TARGET_AR= $(CROSS)ar rcus 2>/dev/null
TARGET_STRIP= $(CROSS)strip

TARGET_LIBPATH= $(or $(PREFIX),/usr/local)/$(or $(MULTILIB),lib)
TARGET_SONAME= libluajit-$(ABIVER).so.$(MAJVER)
TARGET_DYLIBNAME= libluajit-$(ABIVER).$(MAJVER).dylib
TARGET_DYLIBPATH= $(TARGET_LIBPATH)/$(TARGET_DYLIBNAME)
TARGET_DLLNAME= lua$(NODOTABIVER).dll
TARGET_XSHLDFLAGS= -shared -fPIC -Wl,-soname,$(TARGET_SONAME)
TARGET_DYNXLDOPTS=

TARGET_LFSFLAGS= -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
TARGET_XCFLAGS= $(TARGET_LFSFLAGS) -U_FORTIFY_SOURCE
TARGET_XLDFLAGS=
TARGET_XLIBS= -lm
TARGET_TCFLAGS= $(CCOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ACFLAGS= $(CCOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ASFLAGS= $(ASOPTIONS) $(TARGET_XCFLAGS) $(TARGET_FLAGS) $(TARGET_CFLAGS)
TARGET_ALDFLAGS= $(LDOPTIONS) $(TARGET_XLDFLAGS) $(TARGET_FLAGS) $(TARGET_LDFLAGS)
TARGET_ASHLDFLAGS= $(LDOPTIONS) $(TARGET_XSHLDFLAGS) $(TARGET_FLAGS) $(TARGET_SHLDFLAGS)
TARGET_ALIBS= $(TARGET_XLIBS) $(LIBS) $(TARGET_LIBS)

TARGET_TESTARCH=$(shell $(TARGET_CC) $(TARGET_TCFLAGS) -E lj_arch.h -dM)
ifneq (,$(findstring LJ_TARGET_X64 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= x64
else
ifneq (,$(findstring LJ_TARGET_X86 ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= x86
else
ifneq (,$(findstring LJ_TARGET_ARM ,$(TARGET_TESTARCH)))
  TARGET_LJARCH= arm
else
ifneq (,$(findstring LJ_TARGET_ARM64 ,$(TARGET_TESTARCH)))
  ifneq (,$(findstring __AARCH64EB__ ,$(TARGET_TESTARCH)))
    TARGET_ARCH= -D__AARCH64EB__=1
  endif
  TARGET_LJARCH= arm64
else
ifneq (,$(findstring LJ_TARGET_PPC ,$(TARGET_TESTARCH)))
  ifneq (,$(findstring LJ_LE 1,$(TARGET_TESTARCH)))
    TARGET_ARCH= -DLJ_ARCH_ENDIAN=LUAJIT_LE
  else
    TARGET_ARCH= -DLJ_ARCH_ENDIAN=LUAJIT_BE
  endif
  TARGET_LJARCH= ppc
else
ifneq (,$(findstring LJ_TARGET_MIPS ,$(TARGET_TESTARCH)))
  ifneq (,$(findstring MIPSEL ,$(TARGET_TESTARCH)))
    TARGET_ARCH= -D__MIPSEL__=1
  endif
  ifneq (,$(findstring LJ_TARGET_MIPS64 ,$(TARGET_TESTARCH)))
    TARGET_LJARCH= mips64
  else
    TARGET_LJARCH= mips
  endif
else
  $(error Unsupported target architecture)
endif
endif
endif
endif
endif
endif

ifneq (,$(findstring LJ_TARGET_PS3 1,$(TARGET_TESTARCH)))
  TARGET_SYS= PS3
  TARGET_ARCH+= -D__CELLOS_LV2__
  TARGET_XCFLAGS+= -DLUAJIT_USE_SYSMALLOC
  TARGET_XLIBS+= -lpthread
endif

TARGET_XCFLAGS+= $(CCOPT_$(TARGET_LJARCH))
TARGET_ARCH+= $(patsubst %,-DLUAJIT_TARGET=LUAJIT_ARCH_%,$(TARGET_LJARCH))

ifneq (,$(PREFIX))
ifneq (/usr/local,$(PREFIX))
  TARGET_XCFLAGS+= -DLUA_ROOT=\"$(PREFIX)\"
  ifneq (/usr,$(PREFIX))
    TARGET_DYNXLDOPTS= -Wl,-rpath,$(TARGET_LIBPATH)
  endif
endif
endif
ifneq (,$(MULTILIB))
  TARGET_XCFLAGS+= -DLUA_MULTILIB=\"$(MULTILIB)\"
endif
ifneq (,$(LMULTILIB))
  TARGET_XCFLAGS+= -DLUA_LMULTILIB=\"$(LMULTILIB)\"
endif

##############################################################################
# Target system detection.
##############################################################################

TARGET_SYS?= $(HOST_SYS)
ifeq (Windows,$(TARGET_SYS))
  TARGET_STRIP+= --strip-unneeded
  TARGET_XSHLDFLAGS= -shared
  TARGET_DYNXLDOPTS=
else
ifeq (,$(shell $(TARGET_CC) -o /dev/null -c -x c /dev/null -fno-stack-protector 2>/dev/null || echo 1))
  TARGET_XCFLAGS+= -fno-stack-protector
endif
ifeq (Darwin,$(TARGET_SYS))
  ifeq (,$(MACOSX_DEPLOYMENT_TARGET))
    export MACOSX_DEPLOYMENT_TARGET=10.4
  endif
  TARGET_STRIP+= -x

=== debian/changelog ===
texlive-bin (2024.20240313.70630+ds-6) unstable; urgency=medium

  * Patches for manual pages thanks to Bjarni Ingi Gislason
    <bjarniig@simnet.is>.
    - aleph.1 (Closes: #1088318)
    - autosp.1 (Closes: #1088853)
    - opl2ofm.1 (Closes: #1091540)
    - outocp.1: (Closes: #1091615)
    - ovf2ovp.1 (Closes: #1091618)
    - ovp2ovf.1 (Closes: #1091630)
  * Remove mflua.1 from texlive-binaries, it is/will be shipped by
    texlive-extra-utils.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 13 Mar 2025 21:10:00 +0100

texlive-bin (2024.20240313.70630+ds-5) unstable; urgency=medium

  * Disable patch texlive-bin-20230311-typecasts.patch to be compatible
    to libxaw (>= 1.0.16).

 -- Hilmar Preuße <hille42@debian.org>  Sat, 02 Nov 2024 16:31:58 +0100

texlive-bin (2024.20240313.70630+ds-4) unstable; urgency=medium

  * Patch form upstream: fix "incompatible pointer type" issues on 32bit
    (Closes: #1077073).
  * Remove obsolete patches.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 26 Jul 2024 23:35:21 +0200

texlive-bin (2024.20240313.70630+ds-3) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Add patches for manual pages:
    - tex2aspc.1 (Closes: #1072254)
    - ttf2pk.1 (Closes: #1072319)

  Add patch texlive-bin-20230311-typecasts.patch (from Fedora [1]) to
  make xdvik compatible to the old lbxaw package currently in Debian.
  Once libxaw >= 1.0.16 has entered Debian the patch needs to be
  disabled again (Closes: #1075564).

  [1] https://src.fedoraproject.org/rpms/texlive-base/c/ef14236976cfb48e0fe4b2b3af14cdf3d0d64516?branch=rawhide

 -- Hilmar Preuße <hille42@debian.org>  Thu, 25 Jul 2024 12:03:11 +0200

texlive-bin (2024.20240313.70630+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Corrections for mflua.1 (Closes: #1071649).

 -- Hilmar Preusse <hille42@web.de>  Sun, 26 May 2024 15:51:10 +0200

texlive-bin (2024.20240313.70630+ds-1) experimental; urgency=medium

  * New upstream snapshot for TL2024; refresh, disable patches.
    - Use libmpfi-dev (>= 1.5.4) from Debian.
    - Contains fixes for pdftex.1 (Closes: #1065094).

 -- Hilmar Preusse <hille42@web.de>  Thu, 21 Mar 2024 22:54:39 +0100

## texlive-bin 2024.20240313.70630+ds

=== libs/pplib/pplib-src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

add_subdirectory(zlib)
add_subdirectory(src)

enable_testing()

=== libs/xpdf/xpdf-src/goo/CMakeLists.txt ===
#========================================================================
#
# goo/CMakeLists.txt
#
# CMake script for the goo library.
#
# Copyright 2015 Glyph & Cog, LLC
#
#========================================================================

include_directories("${PROJECT_SOURCE_DIR}")
include_directories("${PROJECT_BINARY_DIR}")

add_library(goo_objs OBJECT
  FixedPoint.cc
  GHash.cc
  GList.cc
  GString.cc
  gfile.cc
  gmem.cc
  gmempp.cc
  parseargs.c
  Trace.cc
)
set_property(TARGET goo_objs
             PROPERTY POSITION_INDEPENDENT_CODE True)

add_library(goo
  $<TARGET_OBJECTS:goo_objs>
)

=== texk/web2c/hitexdir/doc/Makefile ===
# $Id$
# Standalone Makefile for hitex/doc. Public domain.
# This is not run as part of the build, just a convenience used by hand
# from the Build/source/... directory.

INSTALL_DATA = cp -pfv

texmf_dist = ../../../../../../Master/texmf-dist
hitex_makeindex_dir = $(texmf_dist)/makeindex/hitex
hitex_doc_dir = $(texmf_dist)/doc/hitex/base
#
install:
	$(INSTALL_DATA) hint.ist $(hitex_makeindex_dir)
	for f in hiformat.hnt hiformat.pdf hintmac.tex \
	         hitexman.hnt hitexman.pdf hitexman.tex; do \
	  $(INSTALL_DATA) $$f $(hitex_doc_dir)/ || exit 1; done
	cd $(hitex_doc_dir) && /bin/pwd && svn status

=== texk/web2c/hitexdir/tex/Makefile ===
# $Id$
# Standalone Makefile for hitex/tex. Public domain.
# This is not run as part of the build, just a convenience used by hand
# from the Build/source/... directory.

INSTALL_DATA = cp -pfv

texmf_dist = ../../../../../../Master/texmf-dist
hitex_tex_dir = $(texmf_dist)/tex/hitex/base
#
install:
	for f in hilatex.ini hiltxpage.tex hiplainpage.tex \
	         hitex.ini ifhint.tex hhitex.def ; do \
	  $(INSTALL_DATA) $$f $(hitex_tex_dir)/ || exit 1; done
	cd $(hitex_tex_dir) && /bin/pwd && svn status

fmt: hitex.fmt hilatex.fmt

hitex.fmt: hitex.ini
	hitex -ini -etex -ltx $<

hilatex.fmt: hilatex.ini
	hitex -ini -etex -ltx $<

clean:
	rm -f *.fmt *.log *.aux *.hint *.hnt

=== debian/changelog ===
texlive-bin (2024.20240313.70630+ds-6ubuntu2) questing; urgency=medium

  * Add patch to fix convert.c:pnumconv invalid memory access and s390x
    test failure (LP: #2125767):
    - d/p/mendexk-upmendex-fix-pnumconv.patch

 -- Ryan Lee <ryan.lee@canonical.com>  Tue, 30 Sep 2025 15:53:56 -0700

texlive-bin (2024.20240313.70630+ds-6ubuntu1) questing; urgency=medium

  * debian/rules: specify -std=gnu17 to fix FTBFS (LP: #2125599)

 -- Ryan Lee <ryan.lee@canonical.com>  Fri, 19 Sep 2025 14:32:03 -0700

=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	Hilmar Preuße <hille42@debian.org>
Build-Depends:
  debhelper-compat (= 13)
Build-Depends-Arch:
  autoconf,
  automake,
  bison,
  flex,
  libbrotli-dev,
  libcairo2-dev,
  libfontconfig-dev,
  libfreetype-dev,
  libgmp-dev,
  libgraphite2-dev,
  libharfbuzz-dev (>= 2.4),
  libicu-dev,
  libmpfi-dev (>= 1.5.4),
  libmpfr-dev,
  libpaper-dev,
  libpotrace-dev,
  libpixman-1-dev,
  libpng-dev,
  libteckit-dev,
  libtool,
  libxaw7-dev (>= 2:1.0.16),
  libxi-dev,
  libzzip-dev,
  m4,
  texlive-binaries <cross>,
  zlib1g-dev | libz-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-bin.git
Vcs-Browser: https://github.com/debian-tex/texlive-bin

Package: texlive-binaries
Architecture: any
Multi-Arch: foreign
Depends: libptexenc1 (>= ${source:Version}),
  libptexenc1 (<< ${source:Version}.1~),
  libkpathsea6 (>= ${source:Version}),
  libkpathsea6 (<< ${source:Version}.1~),
  libsynctex2 (>= ${source:Version}),
  libsynctex2 (<< ${source:Version}.1~),
  libtexlua53-5 (>= ${source:Version}),
  libtexlua53-5 (<< ${source:Version}.1~),
  t1utils, tex-common, perl:any,
  ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive-base, dvisvgm
Suggests: texlive-binaries-sse2 [amd64 armel armhf arm64 hurd-i386 i386 powerpc], hintview
Replaces: ptex-bin, mendexk, jmpost, luatex (<< 2014), gregorio (<= 2.3-1),
    texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2021), luatex (<< 2014), gregorio (<= 2.3-1),
    texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329),
    context (<= 2021.03.05.20230120+dfsg-1), texlive-formats-extra (<< 2023.20230613)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: texlive-binaries-sse2
Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
Multi-Arch: foreign
Depends: libptexenc1 (>= ${source:Version}),
  libptexenc1 (<< ${source:Version}.1~),
  libkpathsea6 (>= ${source:Version}),
  libkpathsea6 (<< ${source:Version}.1~),
  libsynctex2 (>= ${source:Version}),
  libsynctex2 (<< ${source:Version}.1~),
  libtexlua53-5 (>= ${source:Version}),
  libtexlua53-5 (<< ${source:Version}.1~),
  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf arm64 hurd-i386 i386 powerpc],
  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf arm64 hurd-i386 i386 powerpc],
  sse2-support [i386],
  t1utils, tex-common, perl:any,
  ${shlibs:Depends}, ${misc:Depends}, texlive-binaries
Replaces: texlive-binaries (<= 2023.20230311.66589-4)
Breaks: texlive-binaries (<= 2023.20230311.66589-4)
Description: Binaries for TeX Live (the JIT part)
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context
 .
 This package contains the luajit binaries, which run only on sse2
 capable CPU's.

Package: libkpathsea6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version})
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version})
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsynctex2 (= ${binary:Version})
Description: TeX Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: libtexlua53
Section: oldlibs
Architecture: all
Depends: libtexlua53-5, ${misc:Depends}
Description: transitional package (lib)
 This is a transitional (library) package. It can safely be removed.

Package: libtexlua53-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libtexlua53 (<< 2022.20220321.62855-2~)
Breaks: libtexlua53 (<< 2022.20220321.62855-2~)
Description: TeX Live: Lua 5.3, modified for use with LuaTeX
 The Lua 5.3 library as used within LuaTeX.

Package: libtexlua53-dev
Section: oldlibs
Architecture: all
Depends: libtexlua-dev, ${misc:Depends}
Description: transitional package (dev)
 This is a transitional (development) package. It can safely be removed.

Package: libtexlua-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua53-5 (= ${binary:Version})
Replaces: libtexlua53-dev (<< 2022.20220321.62855-2~)
Breaks: libtexlua53-dev (<< 2022.20220321.62855-2~)
Description: TeX Live: Lua 5.3, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexluajit2
Section: libs
Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX
 The LuaJIT library as used within LuaJITTeX.

Package: libtexluajit-dev
Section: libdevel
Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX (development part)
 This package contains the static library and header files for the texluajit
 library.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for texlive-bin

export SHELL=/bin/bash
export CONFIG_SHELL=/bin/bash

export DEBIANTMP=debian/tmp

# this ships out the test logs when a test failed, set it in any case
export VERBOSE=1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#
# the configure code already checks a lot, but it does not catch
# all cases. We have now two ways to test for where to build.
# One by disabling on the other platforms, one by whitelisting
# and building only on some platforms.
LUAJIT_GOOD_ARCHS := amd64 armel armhf arm64 hurd-i386 i386 powerpc

# In case one wants to build with old automake (<< 1.13.1), the following
# variable has to be set. By default the debian/control requires high
# enough versions of automake and friends
#export AM_V_P=false

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH), alpha)
  export LDFLAGS = -Wl,--no-relax
endif

#
#
# architectures where icu related programs (xetex) have problems
# and core dump etc. Possible fix, but sub-optimal because slowing down
# programs
# TODO should be checked whether this still happens!
BROKEN_ICU_ARCHS := sparc64
ifneq (,$(findstring $(DEB_HOST_ARCH), $(BROKEN_ICU_ARCHS)))
  export CFLAGS += -DU_IS_BIG_ENDIAN=0
  export CXXFLAGS += -DU_IS_BIG_ENDIAN=0
else
endif


# for whitelisting good archs
ifeq (,$(filter $(DEB_HOST_ARCH), $(LUAJIT_GOOD_ARCHS)))
  # it is not in the list of good archs -> disable luajittex
  BUILDLUAJITTEX=--disable-luajittex --disable-mfluajit --disable-luajithbtex
  WITHLUAJIT=no
else
  # not necessary, but for completeness
  BUILDLUAJITTEX=--enable-luajittex --enable-mfluajit --enable-luajithbtex
  WITHLUAJIT=yes
endif

#
# it seems that ARM metafont segfaults due to a problem with armhf's malloc
# see Debian bug #678604
# Building in arm mode helps
#
ifeq ($(DEB_HOST_ARCH), armhf)
  export CFLAGS += -marm
endif

# GCC 15 changed the default std from gnu17 to gnu23, causing breakage
# where old style arg-less function declarations are expected to allow
# for any number of arguments to be passed.
# Because tex/web2c/luatexdir/tex/backend.h expects to be able to use
# such a single function pointer type to represent functions with varying
# numbers of arguments, we cannot just add a single correct prototype.
# Instead, revert the standard level.
export CFLAGS += -std=gnu17

# warning: if the --with autoreconf is removed then
# the patch debian/patches/debian-no-linked-scripts
# must be adapted to also patch the Makefile.in!

%:
	dh $@ --builddirectory Work --max-parallel=8

#
# we use TL provided reautoconf script as it has some built-in magic
override_dh_autoreconf-arch:
	dh_autoreconf ./reautoconf

override_dh_autoreconf-indep:
	# Nothing to do here

# this was used before, but I am not sure whether the -as-needed is necessary
#	dh_autoreconf --as-needed

#
# poppler is used two times in TeX Live:
# once for pdftex/xetex
# once for luatex -> obsolete, luatex uses pplib
# - the pdftex/xetex version is controlled via --with-system-xpdf
# - the luatex version is controlled via --with-system-poppler
#
# Status as of 20180118
# poppler in Debian is NOT enough for current, so we use the shipped
# libraries for both.
#	--with-system-poppler			\
#	--with-system-xpdf			\
#
# Status as of 20230913
# TL upstream stopped using poppler to get pdf support in pdftex
# and pdftosrc. Instead they use the shipped xpdf "library". The
# configure option "--with-system-xpdf" does not do anything.
# https://tug.org/pipermail/tex-live/2023-September/049457.html ff.

# disable-largefile seems to break omegafonts, as they core dump
# leave it as is for now and see what else pops up
#	--disable-largefile			\

override_dh_auto_configure-arch:
	# we have to make sure that the mendex test case that is added
	# by a patch is executable, same for pdftexdir - stupid dpkg-source
	chmod 0755 texk/mendexk/tests/mendex.test
	chmod 0755 texk/web2c/pdftexdir/expanded.test
	# run out configure script
	dh_auto_configure -- -C --prefix=/usr	\
	--datarootdir=/usr/share/texlive	\
	--disable-native-texlive-build		\
	--disable-missing			\
	--disable-linked-scripts		\
	--with-banner-add=/Debian		\
	--enable-shared				\
	--with-system-zlib			\
	--with-system-zzlib			\
	--with-system-potrace			\
	--with-system-graphite2			\
	--with-system-harfbuzz 			\
	--with-system-libgs			\
	--with-system-pixman			\
	--with-system-libpaper			\
	--with-system-zziplib			\
	--with-system-icu			\
	--with-system-gmp			\
	--with-system-mpfi			\
	--with-system-mpfr			\
	--with-system-freetype2			\
	--with-freetype2-include=/usr/include/freetype2 \
	--with-system-libpng			\
	--with-system-gd			\
	--with-system-cairo 			\
	--with-system-teckit			\
	--with-x				\
	--with-mf-x-toolkit			\
	--with-xdvi-x-toolkit=xaw		\
	$(BUILDLUAJITTEX)			\
	--disable-lcdf-typetools		\
	--disable-biber				\
	--disable-dvipng			\
	--disable-ps2eps			\
	--disable-psutils			\
	--disable-t1utils			\
	--disable-cjkutils			\
	--disable-chktex			\
	--disable-dvidvi			\
	--disable-lacheck			\
	--disable-texdoctk			\
	--disable-ttf2pk			\
	--disable-dvisvgm			\
	--enable-ttf2pk2			\
	--enable-ipc				
	# make sure that the lacheck test script is executable
	# this is only necessary since quilt/dpkg does not support
	# permissions
	chmod ugo+x utils/lacheck/test-def.test

override_dh_auto_configure-indep:
	# Nothing to do here

override_dh_auto_install-arch:
	dh_auto_install -- DESTDIR=$(CURDIR)/$(DEBIANTMP)

override_dh_auto_install-indep:
	# Nothing to do here

override_dh_install-arch:
	# remove .la files which we do not install, so that dh_install
	# can work with --fail-missing
	rm -f $(DEBIANTMP)/usr/lib/*.la $(DEBIANTMP)/usr/lib/*/*.la
	# mv c-auto.h into arch-dependent include path
	mkdir -p $(DEBIANTMP)/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
	mv $(DEBIANTMP)/usr/include/kpathsea/c-auto.h \
		$(DEBIANTMP)/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
	dh_install --sourcedir=$(CURDIR)/$(DEBIANTMP)
	dh_missing --sourcedir=$(CURDIR)/$(DEBIANTMP) --fail-missing

execute_after_dh_install-arch:
	# replace xdvi wrapper shell script with perl variant to
	# allow for opening of gz etc files
	rm debian/texlive-binaries/usr/bin/xdvi
	install -m 0755 debian/xdvi-pl debian/texlive-binaries/usr/bin/xdvi
	# remove texlive directories, they should not be shipped here
	rm -rf debian/texlive-binaries/usr/share/texlive
	# remove wrongly added info/dir.gz
	rm -f debian/texlive-binaries/usr/share/info/dir*
	# remove tlbuild info document, not needed
	rm debian/texlive-binaries/usr/share/info/tlbuild.info*
	# remove various man pages
	for i in latex latex-dev pdflatex pdflatex-dev lamed lualatex-dev dvilualatex-dev \
		dviluatex platex-dev uplatex-dev xelatex-dev amstex ; do \
	  rm debian/texlive-binaries/usr/share/man/man1/$$i.1* ; \
	done
	#
	# Remove luajit* binaries from texlive-binaries
	rm -f debian/texlive-binaries/usr/bin/*luajit*
	rm -f debian/texlive-binaries/usr/share/man/man*/*luajit*
	#
	# remove tex4ht links, they are shipped with tl-htmlxml
	for i in ht htcontext htlatex htmex httex httexi htxelatex htxetex mk4ht xhlatex ; do \
	  rm debian/texlive-binaries/usr/bin/$$i ; \
	done
	#
	# install dvisvgm man page
	#install -m 0644 texk/dvisvgm/dvisvgm-src/doc/dvisvgm.1 \
	#	debian/texlive-binaries/usr/share/man/man1/dvisvgm.1
	# for alternatives treatment we rename usr/bin/bibtex to
	# usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/bin/bibtex \
	   debian/texlive-binaries/usr/bin/bibtex.original
	mv debian/texlive-binaries/usr/share/man/man1/bibtex.1 \
	   debian/texlive-binaries/usr/share/man/man1/bibtex.original.1
	# find dangling symlinks in /usr/bin and error out if found
	err=0 ; for i in `find debian/texlive-binaries/usr/bin -type l` ; do \
	  f=`realpath $$i` ; \
	  if [ ! -r "$$f" ] ; then \
	    echo "ERROR: dangling symbolic link $$f" ; \
	    err=1 ; \
	  fi ; \
	done ; if [ $$err = 1 ] ; then exit 1 ; fi

override_dh_installdocs-arch:
	dh_installdocs

## texlive-bin 2025.20250727.75242%2Bds

=== libs/xpdf/xpdf-src/CMakeLists.txt ===
#========================================================================
#
# cmake-xpdf.txt
#
# CMake script for the Xpdf package.
#
# Copyright 2021 Glyph & Cog, LLC
#
#========================================================================

cmake_minimum_required(VERSION 2.8.12)

project(xpdf)

include(cmake-config.txt)

add_subdirectory(goo)
add_subdirectory(fofi)
add_subdirectory(splash)
add_subdirectory(xpdf)
add_subdirectory(xpdf-qt)

if (NOT HAVE_FREETYPE_H)
  message(WARNING "Couldn't find FreeType -- will not build pdftoppm, pdftopng, pdftohtml, or xpdf.")
endif ()

if (NOT PNG_FOUND)
  message(WARNING "Couldn't find libpng -- will not build pdftopng or pdftohtml.")
endif ()

if (NOT QT4_FOUND AND NOT Qt5Widgets_FOUND AND NOT Qt6Widgets_FOUND)
  message(WARNING "Couldn't find Qt4/5/6 -- will not build xpdf.")
endif ()

if (NOT MULTITHREADED)
  message(WARNING "Multithreading is disabled -- will not build xpdf.")
endif ()

if (NOT USE_EXCEPTIONS)
  message(WARNING "C++ exceptions are disabled -- will not build xpdf.")
endif ()

=== texk/web2c/doc/luatex/graphics/Makefile ===
#$Id: Makefile,v 1.1 2009/01/13 23:33:53 hahe Exp hahe $

all:	fontdir.pdf

%.pdf:	%.fig
	fig2dev -Lpdf $< > $@

clean:
	- rm -f *.bak

allclean:
	make clean
	- rm -f *.pdf

=== debian/changelog ===
texlive-bin (2025.20250727.75242+ds-4ubuntu2) resolute; urgency=medium

  * Rebuild against unstuck riscv64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Oct 2025 08:10:34 +0100

texlive-bin (2025.20250727.75242+ds-4ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/mendexk-upmendex-fix-pnumconv.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Oct 2025 16:23:59 +0100

texlive-bin (2025.20250727.75242+ds-4) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 14 Aug 2025 22:37:17 +0200

texlive-bin (2025.20250727.75242+ds-3) experimental; urgency=medium

  * Disable zziplib test suite.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 05 Aug 2025 23:52:44 +0200

texlive-bin (2025.20250727.75242+ds-2) experimental; urgency=medium

  * Build with embedded zziplib on i386.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 04 Aug 2025 22:46:53 +0200

texlive-bin (2025.20250727.75242+ds-1) experimental; urgency=medium

  * New version TL 2025.
    - Contains fix for manual pages (Closes: #991944).
  * Lower C standard to C17. This is assumed to be a workaround for
    #1097988.
  * Remove (incompatible) getenv, strtok & strstr declaration from
    kpathsea headers. (Closes: #1109256).
    https://tug.org/pipermail/tex-live/2025-July/051609.html

 -- Hilmar Preuße <hille42@debian.org>  Sun, 27 Jul 2025 23:14:41 +0200
